# Search reviews for activity Returns an array of reviews for an activity. Endpoint: GET /activities/{activityUuid}/reviews Version: 3.5.0 ## Path parameters: - `activityUuid` (string, required) The UUID of the activity. ## Header parameters: - `Accept-Language` (string) The value of this parameter might affect the language of the content in the response, provided a translation in the requested language is available. - `X-Musement-Application` (string) A partner's application value, used for analyzing API usage and to identify areas of improvement. - `X-Musement-Version` (string) The API version to use for the request. When absent, the latest version is used by default, however the latest version may not be stable. Partners are encouraged to use the latest stable version: 3.4.0. Example: "3.4.0" ## Query parameters: - `locale` (string) Filter results by the locale property. Example: "en-US" - `limit` (integer) Limit the maximum number of reviews to include in the response. - `page` (integer) Get the page number of reviews, based on the limit parameter. - `rating[between][]` (array) Filter the reviews by their rating_value property. Parameter accepts multiple ranges. The response contains reviews with a rating_value between at least one of the provided ranges. Each parameter requires two integer values, a minimum and maximum, separated by ... Example: ["1..7"] - `sort_by` (string) Sort reviews by one of the following choices: * HIGHEST-RATED: From highest rating_value to lowest. * LOWEST-RATED: From lowest rating_value to highest. * NEWEST: From most recent date to least recent. * PREFERRED-LANGUAGE: Reviews written in the same language as the Accept-Language header appear first. Enum: "HIGHEST-RATED", "LOWEST-RATED", "NEWEST", "PREFERRED-LANGUAGE" - `traveler_type_in[]` (array) Filter reviews to those which match any of the specified traveler types: * ALONE: The customer was traveling alone. * AS-A-COUPLE: The customer was traveling as a couple. * WITH-FAMILY: The customer was traveling with their family. * WITH-FRIENDS: The customer was traveling with friends. Using this parameter filters out reviews where customers did not specify their traveler type. Enum: "ALONE", "AS-A-COUPLE", "WITH-FAMILY", "WITH-FRIENDS" ## Response 200 fields (application/json): - `comment` (string) The customer's review for the activity. This is always in the language the customer used and is not affected by the Accept-Language header value. Example: "Just perfect!" - `customer_country` (string) The customer's country, translated based on the Accept-Language header value. Example: "Germany" - `date` (string, required) The date the review was submitted. Example: "2020-04-13" - `rating_value` (number, required) The customer's rating for the activity on a scale of zero (poor) to ten (amazing). Example: 9.9 - `uuid` (string, required) The review's UUID. Example: "d3edd1ff-91d5-4d56-ba93-47b49b921dcd" ## Response 403 fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "0" - `message` (string, required) A message with a brief explanation of the error. Example: "You don't have permission to access this resource." ## Response 404 fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "1400" - `message` (string, required) A message with a brief explanation of the error. Example: "Activity not found." ## Response default fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "0" - `message` (string, required) A message with a brief explanation of the error. Example: "There was an error"